Package qsardes.descriptor

# Class DescriptorTopologicalCharge

java.lang.Object
qsardes.descriptor.DescriptorTopologicalCharge

All Implemented Interfaces:
  `Descriptor`

Direct Known Subclasses:
  `QsarMETopologicalCharge`, `QsarWBTopologicalCharge`

public abstract class DescriptorTopologicalCharge extends Object implements Descriptor
Topological charge descriptors abstract class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DescriptorTopologicalCharge()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `build_name(String name, String order)`
  `protected abstract void`
  `calc_mean_topol_charge_index(double[] topol_charge_index, int[][] topo_matr)`
  `List<String>`
  `get_descriptor_names()`
  Gets descriptors names.
  `DescriptorType`
  `get_descriptor_type()`
  Gets the descriptor class type.
  `Map<String,String>`
  `get_descriptor_values(AbstractMoleculeBuilder mol_build)`
  Calculates descriptors values.
  `protected Map<String,String>`
  `get_ggi_map()`
  `protected Map<String,String>`
  `get_jgi_map()`
  `protected Map<String,String>`
  `get_jgt_map()`
  `protected List<String>`
  `get_order_list()`
  `protected abstract double[]`
  `get_topol_charge_index(double[][] charge_term_matr, int[][] topo_matr)`
  `protected abstract double[]`
  `get_vert_num(int[][] topo_matr)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DescriptorTopologicalCharge

    protected DescriptorTopologicalCharge()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### get_descriptor_type

    public DescriptorType get_descriptor_type()
    Description copied from interface: `Descriptor`
    Gets the descriptor class type.
    Specified by:
      `get_descriptor_type` in interface `Descriptor`
    Returns:
      Descriptor class type.

  - ### get_descriptor_values

    public Map<String,String> get_descriptor_values(AbstractMoleculeBuilder mol_build)
    Description copied from interface: `Descriptor`
    Calculates descriptors values.
    Specified by:
      `get_descriptor_values` in interface `Descriptor`
    Parameters:
      `mol_build` - Molecular builder representation.
    Returns:
      Descriptor values mapped as name:value.

  - ### get_descriptor_names

    public List<String> get_descriptor_names()
    Description copied from interface: `Descriptor`
    Gets descriptors names.
    Specified by:
      `get_descriptor_names` in interface `Descriptor`
    Returns:
      Descriptor names.

  - ### get_topol_charge_index

    protected abstract double[] get_topol_charge_index(double[][] charge_term_matr, int[][] topo_matr)

  - ### calc_mean_topol_charge_index

    protected abstract void calc_mean_topol_charge_index(double[] topol_charge_index, int[][] topo_matr)

  - ### get_vert_num

    protected abstract double[] get_vert_num(int[][] topo_matr) throws NumberFormatException
    Throws:
      `NumberFormatException`

  - ### get_ggi_map

    protected Map<String,String> get_ggi_map()

  - ### get_jgi_map

    protected Map<String,String> get_jgi_map()

  - ### get_jgt_map

    protected Map<String,String> get_jgt_map()

  - ### get_order_list

    protected List<String> get_order_list()

  - ### build_name

    protected String build_name(String name, String order)